Redmine - Patch #3749

Wiki. TOC. The standardised anchors and admissible "fragment” part of URI.
2009-08-18 01:10 - Roman Musin

Status: New Start date: 2009-08-18
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Wiki Estimated time: 0.00 hour
Target version:

Description
In such browsers as Opera 9/10 links in TOC menu does not work, this patch make link as much as possible compatible.
OS: Linux devis 2.6.26-2-686 #1 SMP Sun Jun 21 04:57:38 UTC 2009 i686 GNU/Linux

Browser: Google Chrome 3.0.190.2, Opera 9.64, Firefox 3.08
Check XHTML with HTML Validator 0.8.5.8 (0 warnings, 0 errors)

First patch for current trunk.

J/script/about:

About your application's environment
Ruby version 1.8.7 (1i486-1inux)

RubyGems version 1.3.2

Rails version 2.2.2

Active Record version 2.2.2

Action Pack version 2.2.2

Active Resource version 2.2.2

Action Mailer version 2.2.2

Active Support version 2.2.2

Application root /home/devis/RedmineCurrent
Environment development

Database adapter sgqlite3

Database schema version 20090614091200

svn info

Path:

URL: svn://rubyforge.org/var/svn/redmine/trunk

Repository Root: svn://rubyforge.org/var/svn/redmine
Repository UUID: e93f8b46-1217-0410-a6£f0-8£06a7374b81

Revision: 2845

Node Kind: directory

Schedule: normal

Last Changed Author: jplang

Last Changed Rev: 2845

Last Changed Date: 2009-08-17 20:37:31 +0400 (Hum, 17 ABr 2009)

Without patch one test failed:

1) Failure:
test_show_atom(IssuesControllerTest)
[./test/functional/issues_controller_test.rb:377:in  test_show_atom’
/usr/lib/ruby/gems/1.8/gems/activesupport-2.2.2/1ib/active_support/testing/setup_and_teardown
.rb:60:in “_ _send_ '
/usr/lib/ruby/gems/1.8/gems/activesupport-2.2.2/1ib/active_support/testing/setup_and_teardown
.rb:60:in “run']:
<false> is not true.
With patch one test failed too:

1) Failure:

test_show_atom(IssuesControllerTest)
[./test/functional/issues_controller_test.rb:377:in  test_show_atom'
/usr/lib/ruby/gems/1.8/gems/activesupport-2.2.2/1ib/active_support/testing/setup_and_teardown

.rb:60:in “_ _send__ '
/usr/lib/ruby/gems/1.8/gems/activesupport-2.2.2/1ib/active_support/testing/setup_and_teardown

.rb:60:1in “run']:

<false> is not true.

Second patch for stable branch.

/script/about:

About your application's environment

Ruby version 1.8.7 (1486-1inux)
RubyGems version 1.3.4

Rails version 2.1.2

Active Record version 2.1.2

Action Pack version 2.1.2

Active Resource version 2.1.2

Action Mailer version 2.1.2

Active Support version 2.1.2

Application root /home/devis/Redmine
Environment development
Database adapter sgqlite3

Database schema version 101

svn info:

Path:

URL: svn://rubyforge.org/var/svn/redmine/branches/0.8-stable
Repository Root: svn://rubyforge.org/var/svn/redmine
Repository UUID: e93f8b46-1217-0410-a6f0-8£06a7374b81

Revision: 2845

Node Kind: directory

Schedule: normal

Last Changed Author: edavislO

Last Changed Rev: 2831

Last Changed Date: 2009-08-01 22:28:57 +0400 (C6t, 01 Asr 2009)

Files
Wiki_TOC_The_standardised_anchors_for_redmine2845-08stable.diff 3.33 KB 2009-08-17 Roman Musin
Wiki_TOC_The_standardised_anchors_for_redmine2845trunk.diff 3.64 KB 2009-08-17 Roman Musin
